PresenterFunctions.HomeFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions.HomeFunctions

- All Known Implementing Classes:
    HomePresenter
  Enclosing interface:
    PresenterFunctions

      public static interface PresenterFunctions.HomeFunctions

  Interfaz correspondiente al Presentador `HomePresenter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onNuevaMedicionClicked()` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "NUEVA MEDICION" en el `HomeFragment`.
    `void` | `onPerfilPacientesClicked()` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "PERFILES DE PACIENTES" en el `HomeFragment`.
    `void` | `onUltimasMedicionesClicked()` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "ULTIMAS 10 MEDICIONES" en el `HomeFragment`.
    `void` | `setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)` Metodo que realiza las operaciones iniciales cuando se crea el `Fragment HomeFragment`.

- - ### Method Detail

    - #### setUpInitialSettings

          void setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)

      Metodo que realiza las operaciones iniciales cuando se crea el `Fragment HomeFragment`.

      Se encarga de marcar el primer item del `NavigationView` (correspondiente a `HomeFragment`), fijar la orientacion de la pantalla en "Portrait" y de utilizar el `Toolbar` recibido como `SupportActionBar`.

      Parameters:
        `toolbar` - `Toolbar` a emplear como `SupportActionBar`

    - #### onNuevaMedicionClicked

          void onNuevaMedicionClicked()

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "NUEVA MEDICION" en el `HomeFragment`.

      Crea un nuevo `Fragment` de tipo `MedicionFragment`.

    - #### onUltimasMedicionesClicked

          void onUltimasMedicionesClicked()

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "ULTIMAS 10 MEDICIONES" en el `HomeFragment`.

      Crea un nuevo `Fragment` de tipo `UltimasMedicionesFragment`.

    - #### onPerfilPacientesClicked

          void onPerfilPacientesClicked()

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "PERFILES DE PACIENTES" en el `HomeFragment`.

      Crea un nuevo `Fragment` de tipo `PacientesFragment`.